<?php 
function moina_blog_custom_css() {
    wp_enqueue_style('moina-blog-custom', get_template_directory_uri() . '/assets/css/custom-blog-style.css' );
    $moina_footer_background_color = get_theme_mod('moina_footer_background_color','#F8F8F8'); 
    $moina_styling_background_color = get_theme_mod('moina_styling_background_color','#f46d46'); 
    $moina_blog_custom_css = '';
    $moina_blog_custom_css .= '
        .footer-area {
            background-color: '.esc_attr( $moina_footer_background_color ).' ;
        }
    '; 
    $moina_blog_custom_css .= '
        .post-img a::after,
        .comment-form input[type="submit"],
        .entry-meta.button,
        .nav-links a:hover, 
        .page-links a:hover,
        a.button {
            background-color: '.esc_attr( $moina_styling_background_color ).' ;
        }
    ';
    $moina_blog_custom_css .= '
        .post-meta.footer-meta div.post-more a,
        .meta-date a:hover,
        .title h2 a:hover,
        .entry-title a:hover, 
        .entry-footer span a:hover, 
        .entry-meta a:hover,
        h1.site-title a:hover,
        .entry-meta.button:hover a,
        .entry-title i, 
        .entry-footer span i, 
        .entry-meta i,
        .mainmenu li:hover a, 
        .mainmenu li.active a,
        a:hover,
        .widget a:hover,
        a.button:hover {
            color: '.esc_attr( $moina_styling_background_color ).' ;
        }
    ';
    $moina_blog_custom_css .= '
        a.button:hover,
        .comment-form input[type="text"]:hover, 
        .comment-form input[type="text"]:focus, 
        .comment-form input[type="email"]:hover, 
        .comment-form input[type="email"]:focus, 
        .comment-form input[type="url"]:hover, 
        .comment-form input[type="url"]:focus, 
        .comment-form textarea:hover, 
        .comment-form textarea:focus,
        .entry-meta.button,
        .nav-links a:hover ,
        a.button {
            border-color: '.esc_attr( $moina_styling_background_color ).' ;
        }
    '; 
    wp_add_inline_style( 'moina-blog-custom', $moina_blog_custom_css );
}
add_action( 'wp_enqueue_scripts', 'moina_blog_custom_css' );