<?php
/**
 * Moina Blog Theme Customizer
 *
 * @package Moina-blog
 */

//Sanitize Blog Post
function moina_sanitize_radio_post($value){ 
    if(!in_array($value, array('true','false'))){
        $value = 'true';
    }
    return $value;
}

/**
 * 
 * Moina Blog customizer
 */
function moina_blog_customize_register( $wp_customize ) {
	// Add moina blogpage options section
    $wp_customize->add_section('moina_blog_options', array(
        'title'          => esc_html__('Blogpage Settings', 'moina-blog'),
        'capability'     => 'edit_theme_options',
        'description'    => esc_html__('Select blog settings from here.', 'moina-blog'),
        'priority' => 12,
    ));

    // Display Post Date
    $wp_customize->add_setting('moina_display_post_date', array(
        'default'           => 'true',
        'capability'        => 'edit_theme_options',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'moina_sanitize_radio_post',
        'transport'         => 'refresh',
    ));
    $wp_customize->add_control('moina_post_date_control', array(
        'label'      => esc_html__('Display post date?', 'moina-blog'),
        'description'=> esc_html__('If you don\'t want to show post date. Please turn button no.', 'moina-blog'),
        'section'    => 'moina_blog_options',
        'settings'   => 'moina_display_post_date',
        'type'       => 'radio',
        'choices'    => array(
            'true'  => esc_html__('Yes', 'moina-blog'),
            'false' => esc_html__('No', 'moina-blog'),
        ),
    ));

    // Display Readmore Button
    $wp_customize->add_setting('moina_display_readmore', array(
        'default'           => 'true',
        'capability'        => 'edit_theme_options',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'moina_sanitize_radio_post',
        'transport'         => 'refresh',
    ));
    $wp_customize->add_control('moina_readmore_control', array(
        'label'      => esc_html__('Display post read more button?', 'moina-blog'),
        'description'=> esc_html__('If you don\'t want to show post read more button. Please turn button no.', 'moina-blog'),
        'section'    => 'moina_blog_options',
        'settings'   => 'moina_display_readmore',
        'type'       => 'radio',
        'choices'    => array(
            'true'  => esc_html__('Yes', 'moina-blog'),
            'false' => esc_html__('No', 'moina-blog'),
        ),
    ));

    // Add moina singlepage options section
    $wp_customize->add_section('moina_single_options', array(
        'title'          => esc_html__('Singlepage Settings', 'moina-blog'),
        'capability'     => 'edit_theme_options',
        'description'    => esc_html__('Select single page settings from here.', 'moina-blog'),
        'priority' => 14,
    ));

    // Display Post Date
    $wp_customize->add_setting('moina_display_single_post_date', array(
        'default'           => 'true',
        'capability'        => 'edit_theme_options',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'moina_sanitize_radio_post',
        'transport'         => 'refresh',
    ));
    $wp_customize->add_control('moina_single_post_date_control', array(
        'label'      => esc_html__('Display post date?', 'moina-blog'),
        'description'=> esc_html__('If you don\'t want to show post date. Please turn button no.', 'moina-blog'),
        'section'    => 'moina_single_options',
        'settings'   => 'moina_display_single_post_date',
        'type'       => 'radio',
        'choices'    => array(
            'true'   => esc_html__('Yes', 'moina-blog'),
            'false'  => esc_html__('No', 'moina-blog'),
        ),
    ));

    // Add moina Footer Options Section
    $wp_customize->add_section('moina_styling_options', array(
        'title'          => esc_html__('Styling Settings', 'moina-blog'),
        'capability'     => 'edit_theme_options',
        'description'    => esc_html__('Select styling settings from here.', 'moina-blog'),
        'priority' => 17,
    ));
    // Display Footer Background Color
    $wp_customize->add_setting('moina_styling_background_color', array(
        'default'           => '#f46d46',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
    ));
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize, 'moina_styling_background_color', array(
                'label'          => esc_html__('Theme Color','moina-blog'),
                'description'    => esc_html__('Select theme color from here.', 'moina-blog'),
                'section'        => 'moina_styling_options'
            )
        )
    );

    // Add moina Footer Options Section
    $wp_customize->add_section('moina_footer_options', array(
        'title'          => esc_html__('Footer Settings', 'moina-blog'),
        'capability'     => 'edit_theme_options',
        'description'    => esc_html__('Select footer settings from here.', 'moina-blog'),
        'priority' => 18,
    ));
    // Display Footer Background Color
    $wp_customize->add_setting('moina_footer_background_color', array(
        'default'           => '#F8F8F8',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'         => 'refresh',
    ));
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize, 'moina_footer_background_color', array(
                'label'          => esc_html__('Footer Background Color','moina-blog'),
                'description'    => esc_html__('Select footer background color from here.', 'moina-blog'),
                'section'        => 'moina_footer_options'
            )
        )
    );
}
add_action( 'customize_register', 'moina_blog_customize_register' );